*** a/doc/src/sgml/high-availability.sgml
--- b/doc/src/sgml/high-availability.sgml
***************
*** 1161,1166 **** synchronous_standby_names = '2 (s1, s2, s3)'
--- 1161,1170 ----
      <literal>s2</> fails. <literal>s4</> is an asynchronous standby since
      its name is not in the list.
     </para>
+    <para>
+     The synchronous states of standby servers can be viewed using
+     the <structname>pg_stat_replication</structname> view.
+    </para>
     </sect3>
  
     <sect3 id="synchronous-replication-performance">
***************
*** 1235,1240 **** synchronous_standby_names = '2 (s1, s2, s3)'
--- 1239,1246 ----
      will increase according to the length of time the standby has been down.
      The standby is only able to become a synchronous standby
      once it has reached <literal>streaming</> state.
+     This state can be viewed using
+     the <structname>pg_stat_replication</structname> view.
     </para>
  
     <para>
*** a/doc/src/sgml/monitoring.sgml
--- b/doc/src/sgml/monitoring.sgml
***************
*** 1357,1363 **** SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
      <row>
       <entry><structfield>state</></entry>
       <entry><type>text</></entry>
!      <entry>Current WAL sender state</entry>
      </row>
      <row>
       <entry><structfield>sent_location</></entry>
--- 1357,1389 ----
      <row>
       <entry><structfield>state</></entry>
       <entry><type>text</></entry>
!      <entry>Current WAL sender state.
!        Possible values are:
!        <itemizedlist>
!          <listitem>
!           <para>
!            <literal>startup</>: This WAL sender is starting up.
!           </para>
!          </listitem>
!          <listitem>
!           <para>
!            <literal>catchup</>: This WAL sender's connected standby is
!            catching up with the primary.
!           </para>
!          </listitem>
!          <listitem>
!           <para>
!            <literal>streaming</>: This WAL sender is streaming changes
!            after its connected standby server has caught up with the primary.
!           </para>
!          </listitem>
!          <listitem>
!           <para>
!            <literal>backup</>: This WAL sender is sending a backup.
!           </para>
!          </listitem>
!        </itemizedlist>
!      </entry>
      </row>
      <row>
       <entry><structfield>sent_location</></entry>
***************
*** 1391,1397 **** SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
      <row>
       <entry><structfield>sync_state</></entry>
       <entry><type>text</></entry>
!      <entry>Synchronous state of this standby server</entry>
      </row>
     </tbody>
     </tgroup>
--- 1417,1444 ----
      <row>
       <entry><structfield>sync_state</></entry>
       <entry><type>text</></entry>
!      <entry>Synchronous state of this standby server.
!        Possible values are:
!        <itemizedlist>
!          <listitem>
!           <para>
!            <literal>async</>: This standby server is asynchronous.
!           </para>
!          </listitem>
!          <listitem>
!           <para>
!            <literal>potential</>: This standby server is now asynchronous,
!            but can potentially become synchronous if one of current
!            synchronous ones fails.
!           </para>
!          </listitem>
!          <listitem>
!           <para>
!            <literal>sync</>: This standby server is synchronous.
!           </para>
!          </listitem>
!        </itemizedlist>
!      </entry>
      </row>
     </tbody>
     </tgroup>
